Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.transaction
Class NestedTransactionNotSupportedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.transaction.TransactionException
                          org.springframework.transaction.CannotCreateTransactionException
                              org.springframework.transaction.NestedTransactionNotSupportedException

All Implemented Interfaces:
  java.io.Serializable

    public class NestedTransactionNotSupportedException

extends CannotCreateTransactionException

Exception thrown when attempting to work with a nested transaction but nested transactions are not supported by the underlying backend.

Since:
  1.1
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`NestedTransactionNotSupportedException(java.lang.String msg)` Constructor for NestedTransactionNotSupportedException.
`NestedTransactionNotSupportedException(java.lang.String msg, java.lang.Throwable cause)` Constructor for NestedTransactionNotSupportedException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NestedTransactionNotSupportedException

    public NestedTransactionNotSupportedException(java.lang.String msg)

  Constructor for NestedTransactionNotSupportedException.

  Parameters:
    `msg` - the detail message

### NestedTransactionNotSupportedException

    public NestedTransactionNotSupportedException(java.lang.String msg,
                                                  java.lang.Throwable cause)

  Constructor for NestedTransactionNotSupportedException.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause from the transaction API in use

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD